Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.query
Class QualifiedQuery

    java.lang.Object
      org.apache.cayenne.query.AbstractQuery
          org.apache.cayenne.query.QualifiedQuery

All Implemented Interfaces:
  Serializable, Query

Direct Known Subclasses:
  DeleteQuery, SelectQuery, UpdateQuery

    public abstract class QualifiedQuery

extends AbstractQuery

An abstract superclass of queries with Expression qualifiers.

Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary
`protected Expression` | `qualifier`

Fields inherited from class org.apache.cayenne.query.AbstractQuery
`name, root`

Constructor Summary
`QualifiedQuery()`

Method Summary
`void` | `andQualifier(Expression e)` Adds specified qualifier to the existing qualifier joining it using "AND".
`Expression` | `getQualifier()` Returns query qualifier.
`void` | `orQualifier(Expression e)` Adds specified qualifier to the existing qualifier joining it using "OR".
`void` | `setQualifier(Expression qualifier)` Sets new query qualifier.

Methods inherited from class org.apache.cayenne.query.AbstractQuery
`createSQLAction, getMetaData, getName, getRoot, route, setName, setRoot, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### qualifier

    protected Expression qualifier

Constructor Detail

### QualifiedQuery

    public QualifiedQuery()

Method Detail

### setQualifier

    public void setQualifier(Expression qualifier)

  Sets new query qualifier.

### getQualifier

    public Expression getQualifier()

  Returns query qualifier.

### andQualifier

    public void andQualifier(Expression e)

  Adds specified qualifier to the existing qualifier joining it using "AND".

### orQualifier

    public void orQualifier(Expression e)

  Adds specified qualifier to the existing qualifier joining it using "OR".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.